package leigh.reactor;

import java.io.Serializable;
import java.time.Instant;

/**
 * This idempotent class represents a symbol value at a particular instant.
 */
public class SymbolValue {
    private final Serializable value;
    private final Instant time;

    public SymbolValue(Serializable value, Instant time) {
        this.value = value;
        this.time = time;
    }

    @Override
    public String toString() {
        return "SymbolValue{" +
                "value=" + value +
                ", time=" + time +
                '}';
    }
}
